| Home | Libraries | People | FAQ | More

## BoostBook element `inherit`

inherit — Declares a base class of the enclosing class or struct

## Synopsis

inherit ::= (ANY)

## Description

This element contains the name of the class inherited. The content model is free-form, as the inherited class may be an instantiation of a template and may have markup in it (e.g., `classname` tags).

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2004/07/05 16:26:11 $ to keep "last revised" information in sync with CVS changes
access | #REQUIRED | CDATA |
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes

| Copyright © 2003 Douglas Gregor